package control;

public class MailHeaderParameters {

	public final static String MIME_TYPE_TEXT_PLAIN = "text/plain";
	
	private String fromAddress;
	private String[] toAddresses;
	private String smtpHostName;
	private String subject;
	private String mimeType = MIME_TYPE_TEXT_PLAIN;
	private boolean isSSL = false;
	
	public MailHeaderParameters() {
	}
	
	public void setIsSSL()
	{
		isSSL = true;
	}
	
	public boolean getIsSSL()
	{
		return isSSL;
	}
	/**
	 * @return
	 */
	public String getFromAddress() {
		return fromAddress;
	}

	/**
	 * @return
	 */
	public String getMimeType() {
		return mimeType;
	}

	/**
	 * @return
	 */
	public String getSmtpHostName() {
		return smtpHostName;
	}

	/**
	 * @return
	 */
	public String getSubject() {
		return subject;
	}

	/**
	 * @return
	 */
	public String[] getToAddresses() {
		return toAddresses;
	}

	/**
	 * @param string
	 */
	public void setFromAddress(String string) {
		fromAddress = string;
	}

	/**
	 * @param string
	 */
	public void setMimeType(String string) {
		mimeType = string;
	}

	/**
	 * @param string
	 */
	public void setSmtpHostName(String string) {
		smtpHostName = string;
	}

	/**
	 * @param string
	 */
	public void setSubject(String string) {
		subject = string;
	}

	/**
	 * @param string
	 */
	public void setToAddresses(String[] addresses) {
		toAddresses = addresses;
	}

}
